Namespace.register("Feedback");//注册命名空间
Feedback.Init=function () {
    Feedback={};
    Feedback.informationtSet = $(".informationtSet")[0]//获取管理员设置
    Feedback.informationtPermissions = $(".informationtPermissions")[0];//获取成员管理
    Feedback.informationHeaderRight = $(".informationHeaderRight")[0];//头部右侧
    Feedback.informationtcreateItem = $(".informationtcreateItem")[0]//获取创建项目
    Feedback.userName = $(".userName")[0]//获取用户名
    Feedback.asideMenuUl = $(".asideMenu ul")[0];//获取项目列表ul
    Feedback.timeSequence = $(".timeSequence")[0]//反馈时间段
    Feedback.logoTitle = $(".logoTitle")[0]//反馈标题位置
    Feedback.mainCouple = $(".mainCouple")[0];
    Feedback.informationtInfo = $(".informationtInfo")[0];//获取反馈信息
    Feedback.informationtTime = $(".informationtTime")[0];//获取反馈时间
    Feedback.informationtPaging = $(".informationtPaging")[0];//获取分页
    Feedback.totalPage = 0;//总页数
    Feedback.informationtAddUser = $(".informationtAddUser")[0];//添加用户项目权限
    Feedback.informationDetailed = $(".informationDetailed")[0];//反馈查看更多
    Feedback.nowPage=1;//分页当前页
    Feedback.Cd = "http://cd.1473.cn/php";//cd.1473
    Feedback.Db = "db.1473.cn";//db.1473
    Feedback.SqlName = "UseStudio_FeedBack";//数据库名
    Feedback.UserId = U.UF.Cookie.get("usestudiosso","userid")[0];//用户id
    Feedback.Permissions=function(JurisdictionName){//超级管理员
        if(JurisdictionName === "administrator"){
            Feedback.informationtSet.style.display = "inline-block";
            Feedback.informationtSet.onclick=function(){
                Feedback.displayItem();
                var icon = $$("img", {
                    "className":"close","src":"./images/close.png","onclick":"Feedback.OnclickdisplayItem('"+Feedback.informationtPermissions.className+"')"
                }, Feedback.informationtPermissions);
                var permissionsHead = $$("div", {
                    "className": "permissionsHead",
                    }, Feedback.informationtPermissions);
                var sapn = $$("sapn", {
                    "innerHTML":"成员"
                    }, permissionsHead);
                var permissionsMembers = $$("div", {
                    "className": "permissionsMembers",
                    }, Feedback.informationtPermissions);
                Feedback.informationtPermissions.style.display = "block"
                U.A.Request(Feedback.Cd,[Feedback.Db,Feedback.SqlName,"GetUser"],function (r){//查询用户
                    if(r.value){
                        var tbody = $$("table", {//创建表格
                            "className": "tbMain",
                            }, permissionsMembers);
                        for(var i=0;i<r.value.length;i++){
                            var trow = Feedback.getMembersRow(r.value[i],i+1); 
                            tbody.appendChild(trow); 
                        }
                    }
                })
            }
        }
    }
    Feedback.OnclickcreateItem=function(){//创建新项目
        U.A.Request(Feedback.Cd,[Feedback.Db,Feedback.SqlName,"InsertProductList",$(".createItemName")[0].value,Feedback.UserId],function (r){//插入
            location.reload() 
        })
    }
    Feedback.OnclickaddUser=function(r,productId){//给项目添加可查看的成员
        if(r=="admin"||r=="administrator"){
            Feedback.displayItem();
            var AddUserHead = $$("div", {
                "className": "AddUserHead",
                }, Feedback.informationtAddUser);
            var h6 = $$("h6", {
                "innerHTML":"该项目未获得权限成员:"
                }, AddUserHead);
            var span = $$("span", {
                "className": "NoPowerMembers"
                }, h6);
            var icon = $$("img", {
                "className":"close","src":"./images/close.png","onclick":"Feedback.OnclickdisplayItem('"+Feedback.informationtAddUser.className+"')"
            });
            Feedback.informationtAddUser.insertBefore(icon,Feedback.informationtAddUser.firstChild);
            Feedback.informationtAddUser.style.display = "block";
            U.A.Request(Feedback.Cd,[Feedback.Db, Feedback.SqlName, "GetUserIdByProductId",productId],function (r){//获取没有权限用户的列表
                if(r.value){
                    span.innerText = r.value.length;
                    var AddUserMembers = $$("div", {//创建表格
                        "className": "AddUserMembers",
                        }, Feedback.informationtAddUser);
                    var tbody = $$("table", {//创建表格
                        "className": "tbMain",
                        }, AddUserMembers);
                    for(var i=0;i<r.value.length;i++){
                        var trow = Feedback.getUserRow(r.value[i],productId,span); 
                        tbody.appendChild(trow); 
                    }
                }
            }) 
        }else{
            alert("你无权限！");
        }
    }
    Feedback.itemOperation=function(productId,JurisdictionName){//管理员功能
        if(JurisdictionName == "admin" || JurisdictionName == "administrator"){
            var actionItem=$$("div", {
                "className": "actionItem"
                });
            Feedback.informationHeaderRight.insertBefore(actionItem,Feedback.informationHeaderRight.firstChild)
            var delItem=$$("button", {
                "className": "delItem","innerText":"删除项目","onclick":"Feedback.OnclickdelITem('"+productId+"')"
                }, actionItem);
            var addUser=$$("button", {
                "className": "addUser","innerText":"添加用户","onclick":"Feedback.OnclickaddUser('"+JurisdictionName+"','"+productId+"')"
                }, actionItem);
        }
    }
    Feedback.OnclickdelITem=function(productId){//删除该项目
        if(confirm("确定啥删除该项目吗")){
            U.A.Request(Feedback.Cd,[Feedback.Db,Feedback.SqlName,"DeleteProductList",productId],function (r){
                location.reload();
            })
        }
    }
    Feedback.InfoPaging=function(id,time){
        Feedback.nowPage=1;
        Feedback.OnclickTime(id,time,"0","10");
        Feedback.displayPage();
        Feedback.displayItem();
        Feedback.informationtPaging.style.display="block";
        var pageUp = Feedback.nowPage-1;//上一页
        var pageDown = Feedback.nowPage+1;//下一页
        var ul=$$("ul", {}, Feedback.informationtPaging);
        var up=$$("span", {
            "className":"pageUp","innerText":"上一页"
        }, ul);
        var li1=$$("li", {
            "className":"paging active","innerText":Feedback.nowPage
        }, ul);
        var li2=$$("li", {
            "className":"paging","innerText":Feedback.nowPage+1
        }, ul);
        var li3=$$("li", {
            "className":"paging","innerText":Feedback.nowPage+2
        }, ul);
        var down=$$("span", {
            "className":"pageDown","innerText":"下一页"
        }, ul);
        U.A.Request(Feedback.Cd,[Feedback.Db,Feedback.SqlName,"GetFeedback",id,time,"0","-1"],function (r){//获取产品的数目
            Feedback.totalPage=Math.ceil(r.value.length/10);
            var pagesize=$$("span", {
                "innerText":"共"+Feedback.totalPage+"页"
            }, Feedback.informationtPaging.children[0]);
            if(Feedback.totalPage==0){
                Feedback.displayItem();
                Feedback.displayPage();
            }
            if(Feedback.totalPage==1){
                ul.children[2].setAttribute("class","lidis");
                ul.children[3].setAttribute("class","lidis");
            }else if(Feedback.totalPage==2){
                ul.children[3].setAttribute("class","lidis");
            }
        })
        var liLength=Feedback.totalPage;
        classPaging=function(){
            for(var i=0;i<3;i++){
                if(ul.children[i+1].className.length>=2){
                    ul.children[i+1].setAttribute("class","paging");
                }
            }
        }
        ul.onclick = function(ev,a) {//点击分页
            ev = ev || event;
            var target = ev.target || ev.srcElement;
            if(target.tagName=="LI"){
                classPaging();
                target.setAttribute("class","paging active");
                Feedback.nowPage = parseInt(target.innerHTML);
                Feedback.OnclickTime(id,time,(Feedback.nowPage-1)*10,10);
            }
        }
        up.onclick = function() {//点击上页
            if(ul.children[1].className=="paging active"&&ul.children[1].innerText==1){
                return false;
            }
            var previousElementSibling = $(".informationtPaging .active")[0].previousElementSibling;
            classPaging();
            Feedback.nowPage = Feedback.nowPage-1;
            if(ul.children[1].innerHTML>Feedback.nowPage){
                ul.children[1].innerHTML=Feedback.nowPage;
                ul.children[2].innerHTML=Feedback.nowPage+1;
                ul.children[3].innerHTML=Feedback.nowPage+2;
                ul.children[1].setAttribute("class","paging active");
                
            }else{
                previousElementSibling.setAttribute("class","paging active");
            }
            Feedback.OnclickTime(id,time,(Feedback.nowPage-1)*10,10);
            
        }
        down.onclick = function(ev) {//点击下页
            ev = ev || event;
            var target = ev.target || ev.srcElement;
            if(Feedback.nowPage==Feedback.totalPage||Feedback.nowPage>Feedback.totalPage){
                return false;
            }else{
                
            }
            var nextElementSibling = $(".informationtPaging .active")[0].nextElementSibling;
            classPaging();
            Feedback.nowPage = Feedback.nowPage+1;
            if(ul.children[3].innerHTML<Feedback.nowPage){
                ul.children[1].innerHTML=Feedback.nowPage-2;
                ul.children[2].innerHTML=Feedback.nowPage-1;
                ul.children[3].innerHTML=Feedback.nowPage;
                ul.children[3].setAttribute("class","paging active");
            }else{
                nextElementSibling.setAttribute("class","paging active");
            }
            Feedback.OnclickTime(id,time,(Feedback.nowPage-1)*10,10);
        }
    
    }
    Feedback.OnclickTime=function(id,time,page,dpage){//点击时间对应获取信息
        U.A.Request(Feedback.Cd,[Feedback.Db,Feedback.SqlName,"GetFeedback",id,time,page,dpage],function (r){//获取产品的反馈信息
            if(r.value){
                if(Feedback.informationtInfo.firstChild !== null){
                    Feedback.informationtInfo.removeChild(Feedback.informationtInfo.firstChild);
                }
                var tbody = $$("table", {//创建表格
                    "className": "tbMain",
                    }, Feedback.informationtInfo);
                var tr = $$("tr", {}, tbody);
                var td = $$("td", {
                    "className":"infoTitle","innerText":"排序"
                    }, tr);
                var td = $$("td", {
                    "className":"infoTitle trTitle","innerText":"标题"
                    }, tr);
                var td = $$("td", {
                    "className":"infoTitle trContent","innerText":"内容",
                    }, tr);
                var td = $$("td", {
                    "className":"infoTitle trCoupleTime","innerText":"反馈时间"
                    }, tr);
                if(r.value.length === 0){
                    var coupleData = $$("div", {
                        "className":"coupleData","innerText":"暂无数据"
                    }, tbody);
                }
                var td = $$("td", {
                    "className":"infoTitle infoMore","innerText":"查看更多"
                }, tr);
                var td = $$("td", {
                    "className":"infoTitle infoHandle","innerText":"操作"
                }, tr);
                for(var i=0;i<r.value.length;i++){
                    var trow = Feedback.getDataRow(r.value[i],i+1); 
                    tbody.appendChild(trow); 
                }
            }
        })
    }
    Feedback.AddItem=function(){//创建添加项目模块
        Feedback.displayItem();
        var head = $$("span", {
            "className":"title", "innerHTML":"创建新项目",
        }, Feedback.informationtcreateItem);
        var icon = $$("img", {
            "className":"close","src":"./images/close.png","onclick":"Feedback.OnclickdisplayItem('"+Feedback.informationtcreateItem.className+"')"
        }, Feedback.informationtcreateItem);
        var input = $$("input", {
            "className":"createItemName","placeholder":"请输入项目名称","type":"text"
            }, Feedback.informationtcreateItem);
        var createItem = $$("button", {
            "className":"createItem","innerHTML":"创建","onclick":"Feedback.OnclickcreateItem()"
            }, Feedback.informationtcreateItem);
        var closeItem = $$("button", {
            "className":"closeItem","innerHTML":"取消","onclick":"Feedback.OnclickdisplayItem('"+Feedback.informationtcreateItem.className+"')"
            }, Feedback.informationtcreateItem);
        Feedback.informationtcreateItem.style.display = "block";
    }
    Feedback.OnclickdisplayItem=function(name){//删除块下的所有东西并隐藏块
        var Ddiv = eval("Feedback." + name);
        Ddiv.style.display="none";
        for(var i=Ddiv.children.length-1;0<i<Ddiv.children.length;i--){
            Ddiv.removeChild(Ddiv.children[i]);
        }
    }
    Feedback.createInfo=function(productId){//创建项目日期分类
        Date.prototype.Format = function (fmt) {//时间处理对Date的扩展
            var o = {
                "M+": this.getMonth() + 1, // 月份
                "d+": this.getDate(), // 日
                "h+": this.getHours(), // 小时
                "m+": this.getMinutes(), // 分
                "s+": this.getSeconds(), // 秒
                "q+": Math.floor((this.getMonth() + 3) / 3), // 季度
                "S": this.getMilliseconds() // 毫秒
            };
            if (/(y+)/.test(fmt))
                fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
            for (var k in o)
                if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
                    return fmt;
        }
        var time = (new Date()).Format("yyyy-MM-dd hh:mm:ss");//获取时间
        var timeSequence=$$("div", {
            "className":"timeSequence"
            },Feedback.informationtTime);
        var oneDay=$$("button", {
            "className": "timeItem","innerText":"今天","onclick":"Feedback.InfoPaging('"+productId+"','today')"
            },timeSequence);
        var threeDay=$$("button", {
            "className": "timeItem","innerText":"最近三天","onclick":"Feedback.InfoPaging('"+productId+"','3days')"
            },timeSequence);
        var oneWeek=$$("button", {
            "className": "timeItem","innerText":"最近一周","onclick":"Feedback.InfoPaging('"+productId+"','7days')"
            },timeSequence)
        var oneMonth=$$("button", {
            "className": "timeItem","innerText":"最近一月","onclick":"Feedback.InfoPaging('"+productId+"','30days')"
            },timeSequence)
    }
    Feedback.getUserRow = function(h,productId,span){//创建表格下用户数据库循环数据（添加该项目用户权限）
        var row = document.createElement('tr'); 
        var trUserId = document.createElement('td');
        trUserId.setAttribute('class','trUserId');
        trUserId.innerText = h.UserId;
        row.appendChild(trUserId);
        
        var trUserName = document.createElement('td');
        trUserName.setAttribute('class','trUserName');
        trUserName.innerText = h.UserName;
        row.appendChild(trUserName);
    
        var trJurisdictionName = document.createElement('td');
        trJurisdictionName.setAttribute('class','trJurisdictionName');
        trJurisdictionName.innerText = h.JurisdictionName; 
        row.appendChild(trJurisdictionName); 
    
        var setCell = document.createElement('td');
        setCell.setAttribute('class','trAdd');  
        row.appendChild(setCell); 
    
        var btnAdd = document.createElement('input');
        btnAdd.setAttribute('type','button');
        btnAdd.setAttribute('value','添加权限');  
        btnAdd.setAttribute('class','btnAdd');  
        
        btnAdd.onclick=function(){ //设置操作 
            if(confirm("确定添加权限吗")){
                this.parentNode.parentNode.parentNode.removeChild(this.parentNode.parentNode);
                U.A.Request(Feedback.Cd,[Feedback.Db, Feedback.SqlName, "InsertUserProduct",h.UserId,productId],function (r){})//插入用户权限
                span.innerHTML=span.innerHTML-1;
            }
        }
        setCell.appendChild(btnAdd);
        return row;  
    } 
    Feedback.getDataRow = function(h,i){//创建表格下的反馈数据库循环数据（反馈的具体信息）
        var row = document.createElement('tr'); 
        var sortCell = document.createElement('td');
        sortCell.innerText = i;
        row.appendChild(sortCell);
        var trTitle = document.createElement('td');
        trTitle.setAttribute('class','trTitle');
        trTitle.innerText = h.FeedbackName;
        row.appendChild(trTitle);
        var trContent = document.createElement('td');
        trContent.setAttribute('class','trContent');
        trContent.innerText = h.FeedbackContent; 
        row.appendChild(trContent); 
        var trCoupleTime = document.createElement('td');
        trCoupleTime.setAttribute('class','trCoupleTime');
        trCoupleTime.innerText = U.UF.D.getYearMonthDay(h.FeedbackTime)
        row.appendChild(trCoupleTime); 
    
        var moreCell = document.createElement('td');
        moreCell.setAttribute('class','trMore');  
        row.appendChild(moreCell); 
        var btnMore = document.createElement('input');
        btnMore.setAttribute('type','button');
        btnMore.setAttribute('value','查看');  
        btnMore.setAttribute('class','moreInfo');  
        btnMore.onclick=function(){ //删除操作 
            Feedback.displayItem();
            var infoItem=$$("div", {
                "className": "infoItem",
                },Feedback.informationDetailed);
            var title=$$("h4", {
                "innerHTML":this.parentNode.parentNode.children[1].innerText
            },infoItem);
            var icon = $$("img", {
                "className":"close","src":"./images/close.png","onclick":"Feedback.OnclickdisplayItem('"+Feedback.informationDetailed.className+"')"
            },infoItem);
            var time=$$("span",{
                "innerHTML":this.parentNode.parentNode.children[3].innerText
            },infoItem)
            var content=$$("p",{
                "innerHTML":this.parentNode.parentNode.children[2].innerText
            },infoItem)
            Feedback.informationDetailed.style.display="block";
        } 
        moreCell.appendChild(btnMore);
        //删除按钮 
        var delCell = document.createElement('td');
        delCell.setAttribute('class','trDel');  
        row.appendChild(delCell); 
        var btnDel = document.createElement('input');
        btnDel.setAttribute('type','button');
        btnDel.setAttribute('value','删除');  
        btnDel.setAttribute('class','delectInfo');  
        btnDel.onclick=function(){ //删除操作 
            if(confirm("确定删除这一行嘛？")){
                this.parentNode.parentNode.parentNode.removeChild(this.parentNode.parentNode); 
            }
            U.A.Request(Feedback.Cd,[Feedback.Db, Feedback.SqlName, "DeleteFeedback",h.FeedbackId],function (r){}) 
        } 
        delCell.appendChild(btnDel);
        return row;  
    } 
    Feedback.getMembersRow = function(h,i){//创建表格下的用户数据库循环数据（超级管理员管理用户信息）
        var row = document.createElement('tr'); 
        var trUserId = document.createElement('td');
        trUserId.setAttribute('class','trUserId');
        trUserId.innerText = h.UserId;
        row.appendChild(trUserId);
    
    
        var trUserName = document.createElement('td');
        trUserName.setAttribute('class','trUserName');
        trUserName.innerText = h.UserName;
        row.appendChild(trUserName);
    
        var trJurisdictionName = document.createElement('td');
        trJurisdictionName.setAttribute('class','trJurisdictionName');
        trJurisdictionName.innerText = h.JurisdictionName||'成员'; 
        row.appendChild(trJurisdictionName); 
        
        var setCell = document.createElement('td');
        setCell.setAttribute('class','trSet');  
        row.appendChild(setCell); 
        var btnSet = document.createElement('input');
        btnSet.setAttribute('type','button');
        btnSet.setAttribute('value','设为管理员');  
        btnSet.setAttribute('class','setInfo');
        btnSet.onclick=function(){ //设置操作 
            if(confirm("确定修改管理员信息吗")){
                if(this.parentNode.parentNode.children[2].innerText != "admin" && this.parentNode.parentNode.children[2].innerText!=="administrator"){
                    this.parentNode.parentNode.children[2].innerHTML = "admin"
                    U.A.Request(Feedback.Cd,[Feedback.Db, Feedback.SqlName, "UpdateJurisdictionName",this.parentNode.parentNode.children[0].innerText,"admin"],function (r){//修改权限
                        console.log(r)
                    }) 
                }else{
                    alert("你已经是管理员！")
                }
            }
        }
        setCell.appendChild(btnSet);
    
        //每行末尾添加删除按钮 
        var delCell = document.createElement('td');
        delCell.setAttribute('class','trDel');  
        row.appendChild(delCell); 
        var btnDel = document.createElement('input');
        btnDel.setAttribute('type','button');
        btnDel.setAttribute('value','删除');  
        btnDel.setAttribute('class','delectInfo');  
        btnDel.onclick=function(){ //删除操作 
            if(confirm("确定删除这一行嘛？")){
                this.parentNode.parentNode.parentNode.removeChild(this.parentNode.parentNode); 
                U.A.Request(Feedback.Cd,[Feedback.Db, Feedback.SqlName, "DeleteUser",h.UserId],function (r){}) 
            }
        } 
        delCell.appendChild(btnDel);
        return row;  
    } 
    Feedback.logout=function(){//退出
        U.UF.CD.loadAjaxCrossDomain(function(){
            U.A.Request(US.AUTH, ["UserOffline", Feedback.UserId],function(r){
                U.UF.Cookie.del("usestudiosso");
                window.location.href="http://login.1473.cn/?callback=http://feedback.1473.cn";  
            });
        });
    }
    Feedback.getUser=function(callback){//得到用户权限信息
        U.A.Request(Feedback.Cd,[Feedback.Db,Feedback.SqlName,"GetJurisdictionName",Feedback.UserId],function (r){//获取权限
            if(r.value.length==0){//判断用户是否为空，为空则提示并跳转
                alert("请输入有效账户");
                Feedback.logout();//退出跳转
                return false;
            }
            if(r.value[0].JurisdictionName=="admin"){
                Feedback.userName.innerText =  U.UF.Cookie.get("usestudiosso","username")[0]+'(管理员)';//登陆者名称
            }else if(r.value[0].JurisdictionName=="administrator"){
                Feedback.userName.innerText =  U.UF.Cookie.get("usestudiosso","username")[0]+'(超级管理员)';//登陆者名称
            }else if(r.value[0].JurisdictionName==null||r.value[0].JurisdictionName=="user"){
                Feedback.userName.innerText =  U.UF.Cookie.get("usestudiosso","username")[0]+'(成员)';//登陆者名称
            }
            if(r.value[0].JurisdictionName=="admin"||r.value[0].JurisdictionName=="administrator"){
                var addItem=$$("button", {
                    "className": "addItem","innerText":"创建项目","onclick":"Feedback.AddItem()"//如果是管理员或者超级管理员就创建这个按钮
                    });
                Feedback.informationHeaderRight.insertBefore(addItem,Feedback.informationHeaderRight.firstChild);
            }
            callback(r);
        })
    }
    Feedback.mainCoupleHeight=function(){//内容高度根据屏幕高度而定
        var h = document.documentElement.clientHeight || document.body.clientHeight;
        Feedback.mainCouple.style.height = ''+(h-80)+'px'+'';
    }
    Feedback.displayItem=function(){
        if(Feedback.informationtPermissions.firstChild){
            Feedback.OnclickdisplayItem(Feedback.informationtPermissions.className);
        }
        if(Feedback.informationtAddUser.firstChild){
            Feedback.OnclickdisplayItem(Feedback.informationtAddUser.className);
        }
        if(Feedback.informationtcreateItem.firstChild){
            Feedback.OnclickdisplayItem(Feedback.informationtcreateItem.className);
        }
        if(Feedback.informationDetailed.firstChild){
            Feedback.OnclickdisplayItem(Feedback.informationDetailed.className);
        }
    }
    Feedback.displayPage=function(){
        if(Feedback.informationtPaging.firstChild){
            Feedback.OnclickdisplayItem(Feedback.informationtPaging.className);
        }
        
    }
    Feedback.getUser(function(r){//得到用户权限信息回调
        Feedback.Bind(r.value[0].JurisdictionName);//得到用户权限信息
    });
    Feedback.mainCoupleHeight();
    Feedback.Bind=function(JurisdictionName) {
        U.A.Request(Feedback.Cd,[Feedback.Db, Feedback.SqlName, "GetProductByUserId",Feedback.UserId],function (r){//获取项目列表
            Feedback.Permissions(JurisdictionName);
            if(r.value){
                for(var i=0;i<r.value.length;i++){
                    var li=$$("li", {
                        "className": "asideItem","productId":r.value[i].ProductId
                        }, Feedback.asideMenuUl);
                    var span=$$("span", {
                        "className": "asideItemText","innerText":r.value[i].ProductName
                        }, li);
                    Feedback.asideMenuUl.onclick = function(ev) {//点击项目列表
                        ev = ev || event;
                        var target = ev.target || ev.srcElement;
                        var icon=$$("i", {"className": "active",});
                        for(var i=0;i<Feedback.asideMenuUl.children.length;i++){
                           if(Feedback.asideMenuUl.children[i].children.length>=2){
                            Feedback.asideMenuUl.children[i].setAttribute("class","asideItem");
                            Feedback.asideMenuUl.children[i].removeChild(Feedback.asideMenuUl.children[i].children[1])
                           }
                        }
                        Feedback.logoTitle.innerHTML = "反馈后台信息管理"+":"+target.innerText;
                        if( target.tagName=="LI"){
                            target.appendChild(icon);
                            target.setAttribute("class","asideItembg asideItem");
                        }else{
                            target.parentNode.appendChild(icon);
                            target.parentNode.setAttribute("class","asideItembg asideItem");
                        }
                        var productId = target.parentNode.productId;
    
                        if(Feedback.informationtInfo.firstChild !== null){
                            Feedback.informationtInfo.removeChild(Feedback.informationtInfo.firstChild);
                        }
                        if(Feedback.informationtTime.firstChild !==null){
                            Feedback.informationtTime.removeChild(Feedback.informationtTime.firstChild);
                        }
    
                        if(Feedback.informationHeaderRight.firstChild.className == "actionItem"){
                            Feedback.informationHeaderRight.removeChild(Feedback.informationHeaderRight.firstChild)
                        }
                        Feedback.displayItem();
                        Feedback.displayPage();
                        Feedback.itemOperation(productId,JurisdictionName);
                        Feedback.createInfo(productId);
                        Feedback.InfoPaging(productId,'30days');
                    };
                }
            }
        })
    }
}();
